<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for T01 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" is-a="T01" id="UBL-T01">
  <param value="(cbc:CustomizationID)" name="BII2-T01-R001"/>
  <param value="(cbc:ProfileID)" name="BII2-T01-R002"/>
  <param value="(cac:LineItem/cbc:ID)" name="BII2-T01-R003"/>
  <param value="(cbc:IssueDate)" name="BII2-T01-R004"/>
  <param value="(cac:ValidityPeriod/cbc:EndDate)" name="BII2-T01-R005"/>
  <param value="(cbc:ID)" name="BII2-T01-R006"/>
  <param value="(cbc:AllowanceChargeReason)" name="BII2-T01-R007"/>
  <param value="(cbc:DocumentCurrencyCode)" name="BII2-T01-R009"/>
  <param value="number(cac:LineItem/cbc:Quantity) &gt;= 0" name="BII2-T01-R010"/>
  <param value="number(cac:LineItem/cac:Price/cbc:PriceAmount) &gt;= 0" name="BII2-T01-R011"/>
  <param value="number(cbc:PayableAmount) &gt;= 0" name="BII2-T01-R012"/>
  <param value="number(cbc:LineExtensionAmount) &gt;= 0" name="BII2-T01-R013"/>
  <param value="number(cbc:LineExtensionAmount) = number(round(sum(/ubl:Order/cac:OrderLine/cac:LineItem/cbc:LineExtensionAmount) * 10 * 10) div 100)" name="BII2-T01-R014"/>
  <param value="(cbc:AllowanceTotalAmount and cbc:AllowanceTotalAmount = (round(sum(/ubl:Order/cac:AllowanceCharge[cbc:ChargeIndicator=&quot;false&quot;]/cbc:Amount) * 10 * 10) div 100)) or not(cbc:AllowanceTotalAmount)" name="BII2-T01-R015"/>
  <param value="(cbc:ChargeTotalAmount and cbc:ChargeTotalAmount = (round(sum(/ubl:Order/cac:AllowanceCharge[cbc:ChargeIndicator=&quot;true&quot;]/cbc:Amount) * 10 * 10) div 100)) or not(cbc:ChargeTotalAmount)" name="BII2-T01-R016"/>
  <param value="(/ubl:Order/cac:TaxTotal/cbc:TaxAmount) and ((cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = (number(cbc:LineExtensionAmount) + number(/ubl:Order/cac:TaxTotal/cbc:TaxAmount) + number(cbc:ChargeTotalAmount) - number(cbc:AllowanceTotalAmount)))) or (not(cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount) + number(/ubl:Order/cac:TaxTotal/cbc:TaxAmount)  - number(cbc:AllowanceTotalAmount))) or ((cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount) + number(/ubl:Order/cac:TaxTotal/cbc:TaxAmount)  + number(cbc:ChargeTotalAmount))) or (not(cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount) + number(/ubl:Order/cac:TaxTotal/cbc:TaxAmount))) or not(/ubl:Order/cac:TaxTotal/cbc:TaxAmount) and ((cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and  (number(cbc:PayableAmount) = (number(cbc:LineExtensionAmount) + number(cbc:ChargeTotalAmount) - number(cbc:AllowanceTotalAmount)))) or (not(cbc:ChargeTotalAmount) and (cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount)  - number(cbc:AllowanceTotalAmount))) or ((cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount)  + number(cbc:ChargeTotalAmount))) or (not(cbc:ChargeTotalAmount) and not(cbc:AllowanceTotalAmount) and (number(cbc:PayableAmount) = number(cbc:LineExtensionAmount)))&#10;" name="BII2-T01-R017"/>
  <param value="(cac:TaxTotal and cac:TaxTotal/cbc:TaxAmount = (round(sum(/ubl:Order/cac:OrderLine/cac:LineItem/cbc:TotalTaxAmount) * 10 * 10) div 100)) or not(cac:TaxTotal)" name="BII2-T01-R018"/>
  <param value="(cbc:Name)" name="BII2-T01-R019"/>
  <param value="(cbc:Value)" name="BII2-T01-R020"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name) or (cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T01-R021"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name) or (cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T01-R022"/>
  <param value="(cac:LineItem/cbc:Quantity)" name="BII2-T01-R029"/>
  <param value="(cac:LineItem/cbc:Quantity/@unitCode)" name="BII2-T01-R030"/>
  <param value="(cac:LineItem/cac:Item/cbc:Name) or (cac:LineItem/cac:Item/cac:StandardItemIdentification/cbc:ID) or  (cac:LineItem/cac:Item/cac:SellersItemIdentification/cbc:ID)" name="BII2-T01-R031"/>
  <param value="@schemeID" name="EUGEN-T01-R011"/>
  <param value="@schemeID" name="EUGEN-T01-R012"/>
  <param value="@listID='UNCLD1001'" name="EUGEN-T01-R013"/>
  <param value="@listID='ISO4217'" name="EUGEN-T01-R014"/>
  <param value="@listID = 'ISO3166-1:Alpha2'" name="EUGEN-T01-R015"/>
  <param value="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" name="EUGEN-T01-R016"/>
  <param value="@schemeID  = 'UNCL5305'" name="EUGEN-T01-R017"/>
  <param value="//cac:OrderLine" name="Order_Line"/>
  <param value="//cbc:OrderTypeCode" name="Order_Type"/>
  <param value="/ubl:Order" name="Order"/>
  <param value="//cac:AllowanceCharge" name="Allowance_Charges"/>
  <param value="//cac:AnticipatedMonetaryTotal" name="Expected_totals"/>
  <param value="//cac:AdditionalItemProperty" name="Item_property"/>
  <param value="//cac:SellerSupplierParty" name="Seller"/>
  <param value="//cac:BuyerCustomerParty" name="Buyer"/>
  <param value="//cac:DeliveryLocation" name="Delivery_Address"/>
  <param value="//cac:Item" name="Item"/>
  <param value="//cbc:EndpointID" name="Endpoint"/>
  <param value="//cac:PartyIdentification/cbc:ID" name="Party_Identifier"/>
  <param value="//cbc:DocumentCurrencyCode" name="Document_Currency"/>
  <param value="//cac:Country/cbc:IdentificationCode" name="Country_identification"/>
  <param value="//*[contains(name(),'Quantity')]" name="Unit_Code"/>
  <param value="//cac:ClassifiedTaxCategory/cbc:ID" name="Tax_Category_Identifier"/>
</pattern>
