<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for T16 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" is-a="T16" id="UBL-T16">
  <param value="(cbc:CustomizationID)" name="BII2-T16-R001"/>
  <param value="(cbc:ProfileID)" name="BII2-T16-R002"/>
  <param value="(cbc:ID)" name="BII2-T16-R003"/>
  <param value="(cbc:IssueDate)" name="BII2-T16-R004"/>
  <param value="(cac:OrderReference/cbc:ID)" name="BII2-T16-R005"/>
  <param value="(//cac:DespatchSupplierParty)" name="BII2-T16-R006"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name)" name="BII2-T16-R007"/>
  <param value="(//cac:DeliveryCustomerParty)" name="BII2-T16-R008"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name)" name="BII2-T16-R009"/>
  <param value="(cbc:ID)" name="BII2-T16-R011"/>
  <param value="(cac:DespatchLine)" name="BII2-T16-R012"/>
  <param value="(cbc:ID)" name="BII2-T16-R013"/>
  <param value="(cac:Item/cbc:Name) or (cac:Item/cac:StandardItemIdentification/cbc:ID) or  (cac:Item/cac:SellersItemIdentification/cbc:ID)" name="BII2-T16-R016"/>
  <param value="(cbc:DeliveredQuantity)" name="BII2-T16-R017"/>
  <param value="(//cac:StandardItemIdentification/cbc:ID/@schemeID) or not(//cac:StandardItemIdentification)" name="BII2-T16-R018"/>
  <param value="number(cbc:DeliveredQuantity) &gt;= 0" name="BII2-T16-R019"/>
  <param value="(cbc:DeliveredQuantity/@unitCode)" name="BII2-T16-R020"/>
  <param value="((cbc:OutstandingQuantity) and (cbc:OutstandingReason)) or not(cbc:OutstandingQuantity)" name="BII2-T16-R021"/>
  <param value="@schemeID" name="EUGEN-T16-R001"/>
  <param value="(//cac:DespatchSupplierParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID) and (//cac:DeliveryCustomerParty/cac:Party/cac:PartyIdentification/cbc:ID/@schemeID)" name="EUGEN-T16-R002"/>
  <param value="(cbc:IdentificationCode/@listID='ISO3166-1:Alpha2')" name="EUGEN-T16-R003"/>
  <param value="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" name="EUGEN-T16-R004"/>
  <param value="@listID = 'UNCL8273'" name="EUGEN-T16-R005"/>
  <param value="@listID = 'UNECERec21'" name="EUGEN-T16-R006"/>
  <param value="//*[contains(name(),'Quantity')]" name="unit_code"/>
  <param value="cbc:UNDGCode" name="undg_code"/>
  <param value="cbc:TransportHandlingUnitTypeCode" name="transport_handling_unit_type"/>
  <param value="//cac:Item" name="Item"/>
  <param value="//cac:Shipment" name="despatched_shipment"/>
  <param value="//cac:DespatchSupplierParty" name="Despatch_Party"/>
  <param value="//cac:DeliveryCustomerParty/cac:Party/cac:PostalAddress" name="despatch_delivery_address"/>
  <param value="//cac:DespatchLine" name="despatch_advice_Line"/>
  <param value="/ubl:DespatchAdvice" name="despatch_advice"/>
  <param value="/cac:Country" name="country"/>
  <param value="//cac:DeliveryCustomerParty" name="Consignee_Party"/>
  <param value="//cbc:EndpointID" name="endpoint"/>
</pattern>
