<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for T19 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" is-a="T19" id="UBL-T19">
  <param value="(cbc:CustomizationID)" name="BII2-T19-R001"/>
  <param value="(cbc:ProfileID)" name="BII2-T19-R002"/>
  <param value="(cbc:IssueDate)" name="BII2-T19-R003"/>
  <param value="(cbc:ID)" name="BII2-T19-R004"/>
  <param value="(number(translate(cbc:StartDate,'-','')) &lt;= number(translate(cbc:EndDate,'-',''))) or (not(cbc:StartDate)) or (not(cbc:EndDate))" name="BII2-T19-R006"/>
  <param value="(cac:ProviderParty)" name="BII2-T19-R007"/>
  <param value="(cac:ReceiverParty)" name="BII2-T19-R008"/>
  <param value="count(cac:SellerSupplierParty) &lt;= 1" name="BII2-T19-R009"/>
  <param value="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" name="BII2-T19-R010"/>
  <param value="(cac:PartyName/cbc:Name) or (cac:PartyIdentification/cbc:ID)" name="BII2-T19-R011"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name) or (cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T19-R012"/>
  <param value="(cac:Party/cac:PartyName/cbc:Name) or (cac:Party/cac:PartyIdentification/cbc:ID)" name="BII2-T19-R013"/>
  <param value="number(cbc:PriceAmount) &gt;=0" name="BII2-T19-R015"/>
  <param value="not(cac:LineValidityPeriod) or ((cac:LineValidityPeriod/cbc:StartDate and cac:LineValidityPeriod/cbc:EndDate) and (number(translate(cac:LineValidityPeriod/cbc:StartDate,'-','')) &gt;= number(translate(/ubl:Catalogue/cac:ValidityPeriod/cbc:StartDate,'-',''))) and  (number(translate(cac:LineValidityPeriod/cbc:EndDate,'-','')) &lt;= number(translate(/ubl:Catalogue/cac:ValidityPeriod/cbc:EndDate,'-',''))))" name="BII2-T19-R017"/>
  <param value="not (cac:UsabilityPeriod) or ((//cac:UsabilityPeriod/cbc:StartDate and //cac:UsabilityPeriod/cbc:EndDate) and (number(translate(//cac:UsabilityPeriod/cbc:StartDate,'-','')) &gt;= number(translate(//cac:LineValidityPeriod/cbc:StartDate,'-',''))) and  (number(translate(//cac:UsabilityPeriod/cbc:EndDate,'-','')) &lt;= number(translate(//cac:LineValidityPeriod/cbc:EndDate,'-',''))))" name="BII2-T19-R018"/>
  <param value="(cbc:Name)" name="BII2-T19-R019"/>
  <param value="(cac:StandardItemIdentification/cbc:ID) or  (cac:SellersItemIdentification/cbc:ID)" name="BII2-T19-R020"/>
  <param value="(cbc:ID/@schemeID)" name="BII2-T19-R021"/>
  <param value="(@listID)" name="BII2-T19-R022"/>
  <param value="(cac:CatalogueLine)" name="BII2-T19-R023"/>
  <param value="(cbc:ID)" name="BII2-T19-R024"/>
  <param value="not(cbc:MinimumOrderQuantity) or number(cbc:MinimumOrderQuantity) &gt;= 0" name="BII2-T19-R026"/>
  <param value="(cbc:Value)" name="BII2-T19-R027"/>
  <param value="not(cbc:MaximumOrderQuantity) or number(cbc:MaximumOrderQuantity) &gt;= 0" name="BII2-T19-R029"/>
  <param value="not(cbc:MinimumOrderQuantity) or number(cbc:MinimumOrderQuantity) &gt;= 0" name="BII2-T19-R030"/>
  <param value="not(cbc:MaximumOrderQuantity) or not(cbc:MinimumOrderQuantity) or number(cbc:MaximumOrderQuantity) &gt;= number(cbc:MinimumOrderQuantity)" name="BII2-T19-R031"/>
  <param value="@schemeID" name="EUGEN-T19-R043"/>
  <param value="@schemeID" name="EUGEN-T19-R044"/>
  <param value="@listID = 'ACTIONCODE:BII2'" name="EUGEN-T19-R045"/>
  <param value="@listID = 'ACTIONCODE:PEPPOL'" name="EUGEN-T19-R046"/>
  <param value="@listID = 'ISO3166-1:Alpha2'" name="EUGEN-T19-R047"/>
  <param value="not(attribute::unitCode) or (attribute::unitCode and attribute::unitCodeListID = 'UNECERec20')" name="EUGEN-T19-R048"/>
  <param value="@schemeID  = 'UNCL5305'" name="EUGEN-T19-R049"/>
  <param value="@listID = 'GS17009:PEPPOL'" name="EUGEN-T19-R050"/>
  <param value="@listID = 'UNCL8273'" name="EUGEN-T19-R051"/>
  <param value="@schemeID  = 'UNCL6313'" name="EUGEN-T19-R053"/>
  <param value="//cac:ProviderParty" name="Catalogue_Provider"/>
  <param value="//cac:ReceiverParty" name="Catalogue_Receiver"/>
  <param value="//cac:ContractorCustomerParty" name="Catalogue_Customer"/>
  <param value="//cac:SellerSupplierParty/cac:Party/cac:PostalAddress" name="Catalogue_Supplier_Address"/>
  <param value="//cac:RequiredItemLocationQuantity/cac:Price" name="Item_Price"/>
  <param value="//cac:CatalogueLine" name="Catalogue_Line"/>
  <param value="//cac:AdditionalItemProperty" name="Item_Property"/>
  <param value="//cac:ValidityPeriod" name="Validity_Period"/>
  <param value="//cac:SellerSupplierParty" name="Catalogue_Supplier"/>
  <param value="/ubl:Catalogue" name="Catalogue"/>
  <param value="//cac:StandardItemIdentification" name="Item_Standard"/>
  <param value="//cac:CommodityClassification/cbc:ItemClassificationCode" name="Item_Commodity"/>
  <param value="//cac:Item" name="Item"/>
  <param value="//cbc:EndpointID" name="Endpoint"/>
  <param value="//cac:PartyIdentification/cbc:ID" name="Party_Identifier"/>
  <param value="//cac:CatalogueLine/cbc:ActionCode" name="Line_level_action_code"/>
  <param value="/ubl:Catalogue/cbc:ActionCode" name="Header_level_action_code"/>
  <param value="//cac:Country/cbc:IdentificationCode" name="Country_Identification_Code"/>
  <param value="//*[contains(name(),'Quantity')]" name="Unit_Code"/>
  <param value="//cac:ClassifiedTaxCategory/cbc:ID" name="Classified_Tax_Category_Identifier"/>
  <param value="//cbc:PackageLevelCode" name="Package_Level_Code"/>
  <param value="//cbc:UNDGCode" name="UNDG_Code"/>
  <param value="//cbc:AttributeID" name="Attribute_identifier_scheme"/>
</pattern>
