<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for T58 -->
<!-- (2009). Invinet Sistemes -->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="T58">
  <rule context="$catalogue_rejection">
    <assert test="$BII2-T58-R001" flag="fatal">[BII2-T58-R001]-A catalogue rejection MUST have a profile identifier</assert>
    <assert test="$BII2-T58-R002" flag="fatal">[BII2-T58-R002]-A catalogue rejection MUST have a customization identifier</assert>
    <assert test="$BII2-T58-R003" flag="fatal">[BII2-T58-R003]-A catalogue rejection MUST contain the date of issue</assert>
    <assert test="$BII2-T58-R004" flag="fatal">[BII2-T58-R004]-A catalogue rejection MUST contain the response identifier</assert>
    <assert test="$BII2-T58-R005" flag="fatal">[BII2-T58-R005]-The party sending the catalogue rejection MUST be specified</assert>
    <assert test="$BII2-T58-R006" flag="fatal">[BII2-T58-R006]-The party receiving the catalogue rejection MUST be specified</assert>
  </rule>
  <rule context="$Sending_Party">
    <assert test="$BII2-T58-R007" flag="fatal">[BII2-T58-R007]-A catalogue rejection sending party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="$Receiving_Party">
    <assert test="$BII2-T58-R008" flag="fatal">[BII2-T58-R008]-A catalogue rejection receiving party MUST contain the full name or an identifier</assert>
  </rule>
  <rule context="$catalogue_rejection">
    <assert test="$BII2-T58-R009" flag="fatal">[BII2-T58-R009]-A catalogue rejection MUST contain a response decision</assert>
    <assert test="$BII2-T58-R010" flag="fatal">[BII2-T58-R010]-A catalogue rejection MUST contain a catalogue reference</assert>
  </rule>
  <rule context="$endpoint">
    <assert test="$EUGEN-T58-R001" flag="fatal">[EUGEN-T58-R001]-An endpoint identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$party_identifier">
    <assert test="$EUGEN-T58-R002" flag="fatal">[EUGEN-T58-R002]-A party identifier MUST have a scheme identifier attribute</assert>
  </rule>
  <rule context="$response_code">
    <assert test="$EUGEN-T58-R003" flag="fatal">[EUGEN-T58-R003]-A response code MUST have a list identifier attribute &#8220;UNCL4343&#8221;</assert>
  </rule>
</pattern>
